
Redmine - Defect #39780

User select element on activity sidebar views cutoff when displaying long user names

2023-12-05 10:12 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 5.0.8   

Resolution: Fixed Affected version:  

Description

When the user zooms the viewport to >150%, the user select element on activity sidebar views (#33602) is cutoff:

 

Associated revisions

Revision 22682 - 2024-02-06 10:13 - Go MAEDA

Fix cutoff of user select element in activity sidebar when displaying long user names (#39780).

Patch by Go MAEDA (@maeda).

Revision 22686 - 2024-02-07 14:55 - Go MAEDA

Merged r22682 from trunk to 5.1-stable (#39780).

Revision 22687 - 2024-02-07 14:56 - Go MAEDA

Merged r22682 from trunk to 5.0-stable (#39780).

History

#1 - 2024-02-01 12:34 - Go MAEDA

- Target version set to Candidate for next minor release

The following patch fixes the issue.

2024-04-29 1/2

https://www.redmine.org/issues/33602


diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 622d70b25..84a26c16f 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -691,6 +691,10 @@ div#activity dl dt:first-child {

   border: 0px;

 }

+#activity_scope_form select#user_id {

+  max-width: 100%;

+}

+

 #search-results dd { margin-bottom: 1em; padding-left: 20px; margin-left:0px; }

 div#search-results-counts {float:right;}

#2 - 2024-02-02 05:28 - Go MAEDA

- Target version changed from Candidate for next minor release to 5.0.8

Setting the target version to 5.0.8.

#3 - 2024-02-06 10:15 - Go MAEDA

- Subject changed from User select element on activity sidebar views cutoff when viewport is zoomed-in. to User select element on activity sidebar

views cutoff when displaying long user names

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r22682. Thank you for pointing out the UI issue.

#4 - 2024-02-07 14:56 - Go MAEDA

- Status changed from Resolved to Closed
